<?php
/**
 * @copyright	Copyright (c) 2015 Skyline Technology Ltd (http://extstore.com). All rights reserved.
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

// No direct access.
defined('_JEXEC') or die;

/**
 * Popup Controller Class.
 *
 * @package		Joomla.Administrator
 * @subpakage	ExtStore.AdvPopup
 */
class AdvPopupControllerPopup extends JControllerForm {

	/**
	 * Method to run batch operations.
	 *
	 * @return	void
	 */
	public function batch() {
		JSession::checkToken() or jexit(JText::_('JINVALID_TOKEN'));

		// Set the model
		$model	= $this->getModel('Popup', '', array());

		// Preset the redirect
		$this->setRedirect(JRoute::_('index.php?option=com_advpopup&view=popups' . $this->getRedirectToListAppend(), false));

		return parent::batch($model);
	}
}